Package: org.gmetrics.metric.abc.result

## [Groovy] Class AggregateAbcMetricResult

- org.gmetrics.metric.abc.result.AggregateAbcMetricResult

- All Implemented Interfaces and Traits:
    MetricResult

      class AggregateAbcMetricResult

  An aggregate MetricResult implementation specifically for the ABC Metric.

  Authors:
    Chris Mair
  Version:
    \$Revision: 163 \$ - \$Date: 2011-10-02 21:55:46 -0400 (Sun, 02 Oct 2011) \$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Integer` | `lineNumber`
    `Metric` | `metric`
    `MetricLevel` | `metricLevel`
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AggregateAbcMetricResult (Metric metric, MetricLevel metricLevel, Collection children, Integer lineNumber = null)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `calculateFunctions(Collection children)`
    `` | `Object` | `getAbcVector()`
    `` | `Object` | `getAt(String name)`
    `` | `Object` | `getAverageAbcVector()` Return the average of this set of ABC vectors.
    `` | `int` | `getCount()`
    `` | `Object` | `getTotalAbcVector()` Return the sum of this set of ABC vectors.
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Integer lineNumber

    - #### final Metric metric

    - #### final MetricLevel metricLevel

    - #### final Object value

  - ### Constructor Detail

    - #### AggregateAbcMetricResult(Metric metric, MetricLevel metricLevel, Collection children, Integer lineNumber = null)

  - ### Method Detail

    - #### protected void calculateFunctions(Collection children)

    - #### Object getAbcVector()

    - #### Object getAt(String name)

    - #### Object getAverageAbcVector()

      Return the average of this set of ABC vectors. Each component (A,B,C) of the result is calculated and averaged separately. The formula for each component is: (A1 + A2 + .. AN) / N and likewise for B and C values. Each component of the result vector is rounded down to an integer.

    - #### int getCount()

    - #### Object getTotalAbcVector()

      Return the sum of this set of ABC vectors. Each component (A,B,C) of the result is summed separately. The formula for each component is: A1 + A2 + .. AN and likewise for B and C values.

    - #### String toString()